CC = /usr/bin/g++
CFLAGS := -Wall -O3 -std=c++11
LIBFUNC = /usr/lib/libfunc.so
LIBS := -lboost_system -lopenblas -lglog -lopencv_highgui -lopencv_imgproc -lopencv_core

.PHONY: all
all: outer_pj.o $(LIBFUNC)
  $(CC) $(CFLAGS) -lfunc -fPIC -shared -c outer_pj.o -o libmy_pj.so

outer_pj.o:
  $(CC) $(CFLAGS) $(LIBS) -c /tmp/src/*.cpp -I/tmp/include -o outer_pj.o -fopenmp
